Debian Bug report logs - #492615
aptitude: ugly formatted error message in "aptitude build-dep"

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Sun, 27 Jul 2008 18:39:08 UTC

Severity: minor

Tags: patch

Found in version aptitude/0.4.11.8-1

Fixed in version 0.5.2-1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Sven Joachim <svenjoac@gmx.de>, Daniel Burrows <dburrows@debian.org>:
Bug#492615; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to Sven Joachim <svenjoac@gmx.de>, Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: aptitude: ugly formatted error message in "aptitude build-dep"
Date: Sun, 27 Jul 2008 20:31:38 +0200
Package: aptitude
Version: 0.4.11.8-1
Severity: minor
Tags: patch

,----
| LC_ALL=C aptitude -s build-dep gstreamer-editor
| Reading package lists... Done
| Building dependency tree       
| Reading state information... Done
| Reading extended state information      
| Initializing package states... Done
| Reading task descriptions... Done
| Unable to satisfy the build-depends: Build-Dependslibgstreamer0.8-dev ( 0.8.0).Unable to satisfy the build-depends: Build-Dependslibgstreamer0.8-dev ( 0.8.0).The following NEW packages will be installed:
| [...]
`----

That looks a bit ugly.  I think the following patch should solve it, but
haven't tested it yet:

--8<---------------cut here---------------start------------->8---
--- a/src/cmdline/cmdline_action.cc	Mon Jul 21 10:49:57 2008 +0200
+++ b/src/cmdline/cmdline_action.cc	Sun Jul 27 20:12:37 2008 +0200
@@ -184,6 +184,7 @@
 	    rval = false;
 
 	    std::string build_dep_description = pkgSrcRecords::Parser::BuildDepType(it->Type);;
+	    build_dep_description += ": ";
 	    for(BuildDepList::const_iterator it2 = or_group_start;
 		it2 <= it; ++it2)
 	      {
@@ -199,7 +200,7 @@
 		    build_dep_description += ")";
 		  }
 	      }
-	    printf(_("Unable to satisfy the build-depends: %s."),
+	    printf(_("Unable to satisfy the build-depends: %s.\n"),
 		   build_dep_description.c_str());
 	  }
       }
--8<---------------cut here---------------end--------------->8---


-- Package-specific info:
aptitude 0.4.11.8 kompiliert am Jul  4 2008 16:43:39
Compiler: g++ 4.3.1
Kompiliert gegen:
  apt-Version 4.6.0
  NCurses-Version: 5.6
  libsigc++-Version: 2.0.18
  Ept-Unterst├╝tzung aktiviert.

Aktuelle Bibliotheksversion:
  NCurses-Version: ncurses 5.6.20080713
  cwidget-Version: 0.5.12
  Apt-Version: 4.6.0
	linux-gate.so.1 =>  (0xb7f39000)
	libapt-pkg-libc6.7-6.so.4.6 => /usr/lib/libapt-pkg-libc6.7-6.so.4.6 (0xb7e67000)
	libncursesw.so.5 => /lib/libncursesw.so.5 (0xb7e29000)
	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0xb7e23000)
	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0xb7d5f000)
	libept.so.0 => /usr/lib/libept.so.0 (0xb7c9e000)
	libxapian.so.15 => /usr/lib/libxapian.so.15 (0xb7b2b000)
	libz.so.1 => /usr/lib/libz.so.1 (0xb7b15000)
	libpthread.so.0 => /lib/libpthread.so.0 (0xb7afd000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7a0f000)
	libm.so.6 => /lib/libm.so.6 (0xb79e9000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb79dc000)
	libc.so.6 => /lib/libc.so.6 (0xb789e000)
	libutil.so.1 => /lib/libutil.so.1 (0xb7899000)
	libdl.so.2 => /lib/libdl.so.2 (0xb7895000)
	/lib/ld-linux.so.2 (0xb7f3a000)
Terminal: dumb
$DISPLAY is set.
`which aptitude`: /usr/bin/aptitude
aptitude version information:

aptitude linkage:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6. 0.7.14+b1         Advanced front-end for dpkg
ii  libc6                  2.7-12            GNU C Library: Shared libraries
ii  libcwidget3            0.5.12-1          high-level terminal interface libr
ii  libept0                0.5.22            High-level library for managing De
ii  libgcc1                1:4.3.1-8         GCC support library
ii  libncursesw5           5.6+20080713-1    shared libraries for terminal hand
ii  libsigc++-2.0-0c2a     2.0.18-2          type-safe Signal Framework for C++
ii  libstdc++6             4.3.1-8           The GNU Standard C++ Library v3
ii  libxapian15            1.0.5-1           Search engine library
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages aptitude recommends:
ii  aptitude-doc-en [aptitude-doc 0.4.11.8-1 English manual for aptitude, a ter
ii  libparse-debianchangelog-perl 1.1.1-2    parse Debian changelogs and output

Versions of packages aptitude suggests:
pn  debtags                       <none>     (no description available)
ii  tasksel                       2.75       Tool for selecting tasks for insta

-- no debconf information




Information forwarded to Daniel Burrows <dburrows@debian.org>:
Bug#492615; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to maintainer. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #10 received at 492615-maintonly@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 492615-maintonly@bugs.debian.org
Subject: Re: Bug#492615: aptitude: ugly formatted error message in "aptitude build-dep"
Date: Tue, 29 Jul 2008 08:41:11 +0200
On 2008-07-27 20:31 +0200, Sven Joachim wrote:

> ,----
> | LC_ALL=C aptitude -s build-dep gstreamer-editor
> | Reading package lists... Done
> | Building dependency tree       
> | Reading state information... Done
> | Reading extended state information      
> | Initializing package states... Done
> | Reading task descriptions... Done
> | Unable to satisfy the build-depends: Build-Dependslibgstreamer0.8-dev ( 0.8.0).Unable to satisfy the build-depends: Build-Dependslibgstreamer0.8-dev ( 0.8.0).The following NEW packages will be installed:
> | [...]
> `----
>
> That looks a bit ugly.  I think the following patch should solve it, but
> haven't tested it yet:
>
>
> --8<---------------cut here---------------start------------->8---
> --- a/src/cmdline/cmdline_action.cc	Mon Jul 21 10:49:57 2008 +0200
> +++ b/src/cmdline/cmdline_action.cc	Sun Jul 27 20:12:37 2008 +0200
> @@ -184,6 +184,7 @@
>  	    rval = false;
>  
>  	    std::string build_dep_description = pkgSrcRecords::Parser::BuildDepType(it->Type);;
> +	    build_dep_description += ": ";
>  	    for(BuildDepList::const_iterator it2 = or_group_start;
>  		it2 <= it; ++it2)
>  	      {
> @@ -199,7 +200,7 @@
>  		    build_dep_description += ")";
>  		  }
>  	      }
> -	    printf(_("Unable to satisfy the build-depends: %s."),
> +	    printf(_("Unable to satisfy the build-depends: %s.\n"),
>  		   build_dep_description.c_str());
>  	  }
>        }
> --8<---------------cut here---------------end--------------->8---

Tested it now, seems to be okay:

,----
| LC_ALL=C aptitude -s build-dep gstreamer-editor
| Reading package lists... Done
| Building dependency tree       
| Reading state information... Done
| Reading extended state information       
| Initializing package states... Done
| Reading task descriptions... Done
| Unable to satisfy the build-depends: Build-Depends: libgstreamer0.8-dev ( 0.8.0).
| Unable to satisfy the build-depends: Build-Depends: libgstreamer0.8-dev ( 0.8.0).
| The following NEW packages will be installed:
| [...]
`----

Cheers,
       Sven




Information forwarded to Daniel Burrows <dburrows@debian.org>:
Bug#492615; Package aptitude. (Mon, 20 Apr 2009 09:44:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to maintainer. Copy sent to Daniel Burrows <dburrows@debian.org>. (Mon, 20 Apr 2009 09:44:52 GMT) Full text and rfc822 format available.

Message #15 received at 492615-maintonly@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 492615-maintonly@bugs.debian.org
Subject: Re: Bug#492615: aptitude: ugly formatted error message in "aptitude build-dep"
Date: Mon, 20 Apr 2009 11:27:49 +0200
On 2008-07-27 20:31 +0200, Sven Joachim wrote:

> Package: aptitude
> Version: 0.4.11.8-1
> Severity: minor
> Tags: patch
>
> ,----
> | LC_ALL=C aptitude -s build-dep gstreamer-editor
> | Reading package lists... Done
> | Building dependency tree       
> | Reading state information... Done
> | Reading extended state information      
> | Initializing package states... Done
> | Reading task descriptions... Done
> | Unable to satisfy the build-depends: Build-Dependslibgstreamer0.8-dev ( 0.8.0).Unable to satisfy the build-depends: Build-Dependslibgstreamer0.8-dev ( 0.8.0).The following NEW packages will be installed:
> | [...]
> `----
>
> That looks a bit ugly.  I think the following patch should solve it, but
> haven't tested it yet:
>
> --8<---------------cut here---------------start------------->8---
> --- a/src/cmdline/cmdline_action.cc	Mon Jul 21 10:49:57 2008 +0200
> +++ b/src/cmdline/cmdline_action.cc	Sun Jul 27 20:12:37 2008 +0200
> @@ -184,6 +184,7 @@
>  	    rval = false;
>  
>  	    std::string build_dep_description = pkgSrcRecords::Parser::BuildDepType(it->Type);;
> +	    build_dep_description += ": ";
>  	    for(BuildDepList::const_iterator it2 = or_group_start;
>  		it2 <= it; ++it2)
>  	      {
> @@ -199,7 +200,7 @@
>  		    build_dep_description += ")";
>  		  }
>  	      }
> -	    printf(_("Unable to satisfy the build-depends: %s."),
> +	    printf(_("Unable to satisfy the build-depends: %s.\n"),
>  		   build_dep_description.c_str());
>  	  }
>        }
> --8<---------------cut here---------------end--------------->8---

Any chance to apply this patch for aptitude 0.5.2 ?

Sven




Information stored :
Bug#492615; Package aptitude. (Wed, 22 Apr 2009 04:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and filed, but not forwarded.

You requested that the message be sent to the package maintainer(s) but either the Bug report is not associated with any package (probably because of a missing Package pseudo-header field in the original Bug report), or the package(s) specified do not have any maintainer(s).

Your message has *not* been sent to any package maintainers; it has merely been filed in the Bug tracking system. If you require assistance please contact owner@bugs.debian.org quoting the Bug number 492615.

(Wed, 22 Apr 2009 04:42:02 GMT) Full text and rfc822 format available.


Message #20 received at 492615-maintonly@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 492615-maintonly@bugs.debian.org
Subject: Re: Bug#492615: aptitude: ugly formatted error message in "aptitude build-dep"
Date: Tue, 21 Apr 2009 21:39:45 -0700
  Thanks for the reminder -- I can fit this patch in.

  Daniel




Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Sat, 25 Apr 2009 13:24:06 GMT) Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. (Sat, 25 Apr 2009 13:24:06 GMT) Full text and rfc822 format available.

Message #25 received at 492615-done@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Daniel Burrows <dburrows@debian.org>
Cc: 492615-done@bugs.debian.org
Subject: Re: Bug#492615: aptitude: ugly formatted error message in "aptitude build-dep"
Date: Sat, 25 Apr 2009 15:20:47 +0200
Version: 0.5.2-1

On 2009-04-22 06:39 +0200, Daniel Burrows wrote:

>   Thanks for the reminder -- I can fit this patch in.

Thanks.  Seems you mistyped the bugnumber in the Debian changelog,
though:

,----
|     - The curses interface no longer computes an excessive amount of
|       dependency information every time a package is highlighted.
|       (Closes: #516296)
|   
|     - Fixed incorrect formatting in some command-line error messages.
|       (Closes: #516296, #514676)
`----

The second #516296 should have read #492615 instead, I suppose.

Closing the bug now,
Sven




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 23 Mar 2010 07:31:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:14:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.